Bug 854181 - The manual partitioning can not work normal
The manual partitioning can not work normal
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 05:19 EDT by Tao Wu
Modified: 2014-10-28 19:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 17:21:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (3.37 KB, text/x-log)
2012-09-07 04:42 EDT, Tao Wu
no flags Details
program log (30.13 KB, text/x-log)
2012-09-07 04:43 EDT, Tao Wu
no flags Details
traceback (299.06 KB, text/plain)
2012-09-10 11:14 EDT, Petr Schindler
no flags Details

  None (edit)
Description Tao Wu 2012-09-04 05:19:59 EDT
Description of problem:
Most of the function supplied by the manual partitioning can not work well on kvm, the image is F18 alpha TC5 i386.
 
Version-Release number of selected component (if applicable):
18.6.4

How reproducible:


Steps to Reproduce:
1.Boot the installer using any available means 
2.Proceed to the installation partition screen by selecting appropriate defaults
3.Select some function from the manual partition page.
  
Actual results:
Anaconda crashed.

Expected results:
Anaconda completes successfully

Additional info:
Comment 1 Chris Lumens 2012-09-04 08:32:44 EDT
Please attach the complete traceback you are receiving to this bug report.  There is simply not enough information here for us to do anything.
Comment 2 Tao Wu 2012-09-07 04:42:06 EDT
Created attachment 610664 [details]
anaconda log
Comment 3 Tao Wu 2012-09-07 04:43:13 EDT
Created attachment 610665 [details]
program log
Comment 4 Tao Wu 2012-09-07 04:47:12 EDT
This still happens in F18 TC6 i386, especially when the "Click here to create them automatically" option on the "MANUAL PARTITIONING" page was selected.
Comment 5 Chris Lumens 2012-09-07 10:45:59 EDT
The file we need is /tmp/anaconda-tb-*.  That contains information on exactly where in anaconda the crash occurred.
Comment 6 Petr Schindler 2012-09-10 11:14:17 EDT
Created attachment 611472 [details]
traceback

This traceback should be from this bug (I got it when I clicked on 'Click here to create them automatically'. It seems to happen only when the disk is already formated with some partitions on it.
Comment 7 David Lehman 2012-10-30 17:21:18 EDT
Error handling was added in anaconda-18.8-1 which would prevent this from triggering a crash. Instead, you will now see some information about the error and will then be allowed to continue.

Note You need to log in before you can comment on or make changes to this bug.